Develop and Download Open Source Software

Browse Subversion Repository

Contents of /trunk/editor-manual-ja/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 660 - (show annotations) (download)
Sun Jan 27 10:44:41 2013 UTC (11 years, 2 months ago) by matsuand
File size: 22518 byte(s)
Modified editor-manual-ja.
1 # Makefile.in generated by automake 1.13.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2012 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__make_dryrun = \
18 { \
19 am__dry=no; \
20 case $$MAKEFLAGS in \
21 *\\[\ \ ]*) \
22 echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
23 | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
24 *) \
25 for am__flg in $$MAKEFLAGS; do \
26 case $$am__flg in \
27 *=*|--*) ;; \
28 *n*) am__dry=yes; break;; \
29 esac; \
30 done;; \
31 esac; \
32 test $$am__dry = yes; \
33 }
34 pkgdatadir = $(datadir)/@PACKAGE@
35 pkgincludedir = $(includedir)/@PACKAGE@
36 pkglibdir = $(libdir)/@PACKAGE@
37 pkglibexecdir = $(libexecdir)/@PACKAGE@
38 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
39 install_sh_DATA = $(install_sh) -c -m 644
40 install_sh_PROGRAM = $(install_sh) -c
41 install_sh_SCRIPT = $(install_sh) -c
42 INSTALL_HEADER = $(INSTALL_DATA)
43 transform = $(program_transform_name)
44 NORMAL_INSTALL = :
45 PRE_INSTALL = :
46 POST_INSTALL = :
47 NORMAL_UNINSTALL = :
48 PRE_UNINSTALL = :
49 POST_UNINSTALL = :
50 subdir = .
51 DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
52 $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
53 $(top_srcdir)/configure $(am__configure_deps) COPYING depcomp \
54 install-sh missing
55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56 am__aclocal_m4_deps = $(top_srcdir)/m4/progs.m4 \
57 $(top_srcdir)/m4/ax_compare_version.m4 \
58 $(top_srcdir)/m4/ac_check_docbook_xslt.m4 \
59 $(top_srcdir)/m4/ac_check_docbook_dtd.m4 \
60 $(top_srcdir)/m4/ac_check_ipafontdir.m4 \
61 $(top_srcdir)/configure.ac
62 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
63 $(ACLOCAL_M4)
64 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
65 configure.lineno config.status.lineno
66 mkinstalldirs = $(install_sh) -d
67 CONFIG_CLEAN_FILES =
68 CONFIG_CLEAN_VPATH_FILES =
69 AM_V_P = $(am__v_P_@AM_V@)
70 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
71 am__v_P_0 = false
72 am__v_P_1 = :
73 AM_V_GEN = $(am__v_GEN_@AM_V@)
74 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
75 am__v_GEN_0 = @echo " GEN " $@;
76 am__v_GEN_1 =
77 AM_V_at = $(am__v_at_@AM_V@)
78 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
79 am__v_at_0 = @
80 am__v_at_1 =
81 SOURCES =
82 DIST_SOURCES =
83 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
84 ctags-recursive dvi-recursive html-recursive info-recursive \
85 install-data-recursive install-dvi-recursive \
86 install-exec-recursive install-html-recursive \
87 install-info-recursive install-pdf-recursive \
88 install-ps-recursive install-recursive installcheck-recursive \
89 installdirs-recursive pdf-recursive ps-recursive \
90 tags-recursive uninstall-recursive
91 am__can_run_installinfo = \
92 case $$AM_UPDATE_INFO_DIR in \
93 n|no|NO) false;; \
94 *) (install-info --version) >/dev/null 2>&1;; \
95 esac
96 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
97 distclean-recursive maintainer-clean-recursive
98 am__recursive_targets = \
99 $(RECURSIVE_TARGETS) \
100 $(RECURSIVE_CLEAN_TARGETS) \
101 $(am__extra_recursive_targets)
102 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
103 cscope distdir dist dist-all distcheck
104 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
105 # Read a list of newline-separated strings from the standard input,
106 # and print each of them once, without duplicates. Input order is
107 # *not* preserved.
108 am__uniquify_input = $(AWK) '\
109 BEGIN { nonempty = 0; } \
110 { items[$$0] = 1; nonempty = 1; } \
111 END { if (nonempty) { for (i in items) print i; }; } \
112 '
113 # Make sure the list of sources is unique. This is necessary because,
114 # e.g., the same source file might be shared among _SOURCES variables
115 # for different programs/libraries.
116 am__define_uniq_tagged_files = \
117 list='$(am__tagged_files)'; \
118 unique=`for i in $$list; do \
119 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
120 done | $(am__uniquify_input)`
121 ETAGS = etags
122 CTAGS = ctags
123 CSCOPE = cscope
124 DIST_SUBDIRS = $(SUBDIRS)
125 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
126 distdir = $(PACKAGE)-$(VERSION)
127 top_distdir = $(distdir)
128 am__remove_distdir = \
129 if test -d "$(distdir)"; then \
130 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
131 && rm -rf "$(distdir)" \
132 || { sleep 5 && rm -rf "$(distdir)"; }; \
133 else :; fi
134 am__post_remove_distdir = $(am__remove_distdir)
135 am__relativize = \
136 dir0=`pwd`; \
137 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
138 sed_rest='s,^[^/]*/*,,'; \
139 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
140 sed_butlast='s,/*[^/]*$$,,'; \
141 while test -n "$$dir1"; do \
142 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
143 if test "$$first" != "."; then \
144 if test "$$first" = ".."; then \
145 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
146 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
147 else \
148 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
149 if test "$$first2" = "$$first"; then \
150 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
151 else \
152 dir2="../$$dir2"; \
153 fi; \
154 dir0="$$dir0"/"$$first"; \
155 fi; \
156 fi; \
157 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
158 done; \
159 reldir="$$dir2"
160 DIST_ARCHIVES = $(distdir).tar.gz
161 GZIP_ENV = --best
162 DIST_TARGETS = dist-gzip
163 distuninstallcheck_listfiles = find . -type f -print
164 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
165 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
166 distcleancheck_listfiles = find . -type f -print
167 ACLOCAL = @ACLOCAL@
168 AMTAR = @AMTAR@
169 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
170 AUTOCONF = @AUTOCONF@
171 AUTOHEADER = @AUTOHEADER@
172 AUTOMAKE = @AUTOMAKE@
173 AWK = @AWK@
174 CC = @CC@
175 CCDEPMODE = @CCDEPMODE@
176 CFLAGS = @CFLAGS@
177 CPPFLAGS = @CPPFLAGS@
178 CTIE = @CTIE@
179 CYGPATH_W = @CYGPATH_W@
180 DEFS = @DEFS@
181 DEPDIR = @DEPDIR@
182 ECHO_C = @ECHO_C@
183 ECHO_N = @ECHO_N@
184 ECHO_T = @ECHO_T@
185 EXEEXT = @EXEEXT@
186 FOP = @FOP@
187 INSTALL = @INSTALL@
188 INSTALL_DATA = @INSTALL_DATA@
189 INSTALL_PROGRAM = @INSTALL_PROGRAM@
190 INSTALL_SCRIPT = @INSTALL_SCRIPT@
191 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
192 IPA = @IPA@
193 IPAFONTDIR = @IPAFONTDIR@
194 IPAGFILE = @IPAGFILE@
195 IPAMFILE = @IPAMFILE@
196 LDFLAGS = @LDFLAGS@
197 LIBOBJS = @LIBOBJS@
198 LIBS = @LIBS@
199 LTLIBOBJS = @LTLIBOBJS@
200 LYNX = @LYNX@
201 MAKEINFO = @MAKEINFO@
202 MKDIR_P = @MKDIR_P@
203 OBJEXT = @OBJEXT@
204 PACKAGE = @PACKAGE@
205 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
206 PACKAGE_NAME = @PACKAGE_NAME@
207 PACKAGE_STRING = @PACKAGE_STRING@
208 PACKAGE_TARNAME = @PACKAGE_TARNAME@
209 PACKAGE_URL = @PACKAGE_URL@
210 PACKAGE_VERSION = @PACKAGE_VERSION@
211 PATH_SEPARATOR = @PATH_SEPARATOR@
212 PDF = @PDF@
213 SET_MAKE = @SET_MAKE@
214 SHELL = @SHELL@
215 STRIP = @STRIP@
216 TIDY = @TIDY@
217 TXT = @TXT@
218 VERSION = @VERSION@
219 XMLLINT = @XMLLINT@
220 XSLTPROC = @XSLTPROC@
221 abs_builddir = @abs_builddir@
222 abs_orgdir = @abs_orgdir@
223 abs_srcdir = @abs_srcdir@
224 abs_top_builddir = @abs_top_builddir@
225 abs_top_srcdir = @abs_top_srcdir@
226 ac_ct_CC = @ac_ct_CC@
227 am__include = @am__include@
228 am__leading_dot = @am__leading_dot@
229 am__quote = @am__quote@
230 am__tar = @am__tar@
231 am__untar = @am__untar@
232 bindir = @bindir@
233 build_alias = @build_alias@
234 builddir = @builddir@
235 datadir = @datadir@
236 datarootdir = @datarootdir@
237 docdir = @docdir@
238 dvidir = @dvidir@
239 exec_prefix = @exec_prefix@
240 host_alias = @host_alias@
241 htmldir = @htmldir@
242 includedir = @includedir@
243 infodir = @infodir@
244 install_sh = @install_sh@
245 libdir = @libdir@
246 libexecdir = @libexecdir@
247 localedir = @localedir@
248 localstatedir = @localstatedir@
249 mandir = @mandir@
250 mkdir_p = @mkdir_p@
251 oldincludedir = @oldincludedir@
252 orgdir = @orgdir@
253 pdfdir = @pdfdir@
254 prefix = @prefix@
255 program_transform_name = @program_transform_name@
256 psdir = @psdir@
257 sbindir = @sbindir@
258 sharedstatedir = @sharedstatedir@
259 srcdir = @srcdir@
260 sysconfdir = @sysconfdir@
261 target_alias = @target_alias@
262 top_build_prefix = @top_build_prefix@
263 top_builddir = @top_builddir@
264 top_srcdir = @top_srcdir@
265 SUBDIRS = ctie src
266 all: all-recursive
267
268 .SUFFIXES:
269 am--refresh: Makefile
270 @:
271 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
272 @for dep in $?; do \
273 case '$(am__configure_deps)' in \
274 *$$dep*) \
275 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
276 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
277 && exit 0; \
278 exit 1;; \
279 esac; \
280 done; \
281 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
282 $(am__cd) $(top_srcdir) && \
283 $(AUTOMAKE) --gnu Makefile
284 .PRECIOUS: Makefile
285 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
286 @case '$?' in \
287 *config.status*) \
288 echo ' $(SHELL) ./config.status'; \
289 $(SHELL) ./config.status;; \
290 *) \
291 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
292 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
293 esac;
294
295 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
296 $(SHELL) ./config.status --recheck
297
298 $(top_srcdir)/configure: $(am__configure_deps)
299 $(am__cd) $(srcdir) && $(AUTOCONF)
300 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
301 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
302 $(am__aclocal_m4_deps):
303
304 # This directory's subdirectories are mostly independent; you can cd
305 # into them and run 'make' without going through this Makefile.
306 # To change the values of 'make' variables: instead of editing Makefiles,
307 # (1) if the variable is set in 'config.status', edit 'config.status'
308 # (which will cause the Makefiles to be regenerated when you run 'make');
309 # (2) otherwise, pass the desired values on the 'make' command line.
310 $(am__recursive_targets):
311 @fail= failcom='exit 1'; \
312 for f in x $$MAKEFLAGS; do \
313 case $$f in \
314 *=* | --[!k]*);; \
315 *k*) failcom='fail=yes';; \
316 esac; \
317 done; \
318 dot_seen=no; \
319 target=`echo $@ | sed s/-recursive//`; \
320 case "$@" in \
321 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
322 *) list='$(SUBDIRS)' ;; \
323 esac; \
324 for subdir in $$list; do \
325 echo "Making $$target in $$subdir"; \
326 if test "$$subdir" = "."; then \
327 dot_seen=yes; \
328 local_target="$$target-am"; \
329 else \
330 local_target="$$target"; \
331 fi; \
332 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
333 || eval $$failcom; \
334 done; \
335 if test "$$dot_seen" = "no"; then \
336 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
337 fi; test -z "$$fail"
338
339 ID: $(am__tagged_files)
340 $(am__define_uniq_tagged_files); mkid -fID $$unique
341 tags: tags-recursive
342 TAGS: tags
343
344 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
345 set x; \
346 here=`pwd`; \
347 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
348 include_option=--etags-include; \
349 empty_fix=.; \
350 else \
351 include_option=--include; \
352 empty_fix=; \
353 fi; \
354 list='$(SUBDIRS)'; for subdir in $$list; do \
355 if test "$$subdir" = .; then :; else \
356 test ! -f $$subdir/TAGS || \
357 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
358 fi; \
359 done; \
360 $(am__define_uniq_tagged_files); \
361 shift; \
362 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
363 test -n "$$unique" || unique=$$empty_fix; \
364 if test $$# -gt 0; then \
365 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
366 "$$@" $$unique; \
367 else \
368 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
369 $$unique; \
370 fi; \
371 fi
372 ctags: ctags-recursive
373
374 CTAGS: ctags
375 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
376 $(am__define_uniq_tagged_files); \
377 test -z "$(CTAGS_ARGS)$$unique" \
378 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
379 $$unique
380
381 GTAGS:
382 here=`$(am__cd) $(top_builddir) && pwd` \
383 && $(am__cd) $(top_srcdir) \
384 && gtags -i $(GTAGS_ARGS) "$$here"
385 cscope: cscope.files
386 test ! -s cscope.files \
387 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
388 clean-cscope:
389 -rm -f cscope.files
390 cscope.files: clean-cscope cscopelist
391 cscopelist: cscopelist-recursive
392
393 cscopelist-am: $(am__tagged_files)
394 list='$(am__tagged_files)'; \
395 case "$(srcdir)" in \
396 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
397 *) sdir=$(subdir)/$(srcdir) ;; \
398 esac; \
399 for i in $$list; do \
400 if test -f "$$i"; then \
401 echo "$(subdir)/$$i"; \
402 else \
403 echo "$$sdir/$$i"; \
404 fi; \
405 done >> $(top_builddir)/cscope.files
406
407 distclean-tags:
408 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
409 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
410
411 distdir: $(DISTFILES)
412 $(am__remove_distdir)
413 test -d "$(distdir)" || mkdir "$(distdir)"
414 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
415 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
416 list='$(DISTFILES)'; \
417 dist_files=`for file in $$list; do echo $$file; done | \
418 sed -e "s|^$$srcdirstrip/||;t" \
419 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
420 case $$dist_files in \
421 */*) $(MKDIR_P) `echo "$$dist_files" | \
422 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
423 sort -u` ;; \
424 esac; \
425 for file in $$dist_files; do \
426 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
427 if test -d $$d/$$file; then \
428 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
429 if test -d "$(distdir)/$$file"; then \
430 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
431 fi; \
432 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
433 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
434 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
435 fi; \
436 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
437 else \
438 test -f "$(distdir)/$$file" \
439 || cp -p $$d/$$file "$(distdir)/$$file" \
440 || exit 1; \
441 fi; \
442 done
443 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
444 if test "$$subdir" = .; then :; else \
445 $(am__make_dryrun) \
446 || test -d "$(distdir)/$$subdir" \
447 || $(MKDIR_P) "$(distdir)/$$subdir" \
448 || exit 1; \
449 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
450 $(am__relativize); \
451 new_distdir=$$reldir; \
452 dir1=$$subdir; dir2="$(top_distdir)"; \
453 $(am__relativize); \
454 new_top_distdir=$$reldir; \
455 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
456 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
457 ($(am__cd) $$subdir && \
458 $(MAKE) $(AM_MAKEFLAGS) \
459 top_distdir="$$new_top_distdir" \
460 distdir="$$new_distdir" \
461 am__remove_distdir=: \
462 am__skip_length_check=: \
463 am__skip_mode_fix=: \
464 distdir) \
465 || exit 1; \
466 fi; \
467 done
468 -test -n "$(am__skip_mode_fix)" \
469 || find "$(distdir)" -type d ! -perm -755 \
470 -exec chmod u+rwx,go+rx {} \; -o \
471 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
472 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
473 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
474 || chmod -R a+r "$(distdir)"
475 dist-gzip: distdir
476 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
477 $(am__post_remove_distdir)
478
479 dist-bzip2: distdir
480 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
481 $(am__post_remove_distdir)
482
483 dist-lzip: distdir
484 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
485 $(am__post_remove_distdir)
486
487 dist-xz: distdir
488 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
489 $(am__post_remove_distdir)
490
491 dist-tarZ: distdir
492 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
493 $(am__post_remove_distdir)
494
495 dist-shar: distdir
496 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
497 $(am__post_remove_distdir)
498
499 dist-zip: distdir
500 -rm -f $(distdir).zip
501 zip -rq $(distdir).zip $(distdir)
502 $(am__post_remove_distdir)
503
504 dist dist-all:
505 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
506 $(am__post_remove_distdir)
507
508 # This target untars the dist file and tries a VPATH configuration. Then
509 # it guarantees that the distribution is self-contained by making another
510 # tarfile.
511 distcheck: dist
512 case '$(DIST_ARCHIVES)' in \
513 *.tar.gz*) \
514 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
515 *.tar.bz2*) \
516 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
517 *.tar.lz*) \
518 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
519 *.tar.xz*) \
520 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
521 *.tar.Z*) \
522 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
523 *.shar.gz*) \
524 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
525 *.zip*) \
526 unzip $(distdir).zip ;;\
527 esac
528 chmod -R a-w $(distdir)
529 chmod u+w $(distdir)
530 mkdir $(distdir)/_build $(distdir)/_inst
531 chmod a-w $(distdir)
532 test -d $(distdir)/_build || exit 0; \
533 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
534 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
535 && am__cwd=`pwd` \
536 && $(am__cd) $(distdir)/_build \
537 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
538 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
539 $(DISTCHECK_CONFIGURE_FLAGS) \
540 && $(MAKE) $(AM_MAKEFLAGS) \
541 && $(MAKE) $(AM_MAKEFLAGS) dvi \
542 && $(MAKE) $(AM_MAKEFLAGS) check \
543 && $(MAKE) $(AM_MAKEFLAGS) install \
544 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
545 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
546 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
547 distuninstallcheck \
548 && chmod -R a-w "$$dc_install_base" \
549 && ({ \
550 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
551 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
552 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
553 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
554 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
555 } || { rm -rf "$$dc_destdir"; exit 1; }) \
556 && rm -rf "$$dc_destdir" \
557 && $(MAKE) $(AM_MAKEFLAGS) dist \
558 && rm -rf $(DIST_ARCHIVES) \
559 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
560 && cd "$$am__cwd" \
561 || exit 1
562 $(am__post_remove_distdir)
563 @(echo "$(distdir) archives ready for distribution: "; \
564 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
565 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
566 distuninstallcheck:
567 @test -n '$(distuninstallcheck_dir)' || { \
568 echo 'ERROR: trying to run $@ with an empty' \
569 '$$(distuninstallcheck_dir)' >&2; \
570 exit 1; \
571 }; \
572 $(am__cd) '$(distuninstallcheck_dir)' || { \
573 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
574 exit 1; \
575 }; \
576 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
577 || { echo "ERROR: files left after uninstall:" ; \
578 if test -n "$(DESTDIR)"; then \
579 echo " (check DESTDIR support)"; \
580 fi ; \
581 $(distuninstallcheck_listfiles) ; \
582 exit 1; } >&2
583 distcleancheck: distclean
584 @if test '$(srcdir)' = . ; then \
585 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
586 exit 1 ; \
587 fi
588 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
589 || { echo "ERROR: files left in build directory after distclean:" ; \
590 $(distcleancheck_listfiles) ; \
591 exit 1; } >&2
592 check-am: all-am
593 check: check-recursive
594 all-am: Makefile
595 installdirs: installdirs-recursive
596 installdirs-am:
597 install: install-recursive
598 install-exec: install-exec-recursive
599 install-data: install-data-recursive
600 uninstall: uninstall-recursive
601
602 install-am: all-am
603 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
604
605 installcheck: installcheck-recursive
606 install-strip:
607 if test -z '$(STRIP)'; then \
608 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
609 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
610 install; \
611 else \
612 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
613 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
614 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
615 fi
616 mostlyclean-generic:
617
618 clean-generic:
619
620 distclean-generic:
621 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
622 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
623
624 maintainer-clean-generic:
625 @echo "This command is intended for maintainers to use"
626 @echo "it deletes files that may require special tools to rebuild."
627 clean: clean-recursive
628
629 clean-am: clean-generic mostlyclean-am
630
631 distclean: distclean-recursive
632 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
633 -rm -f Makefile
634 distclean-am: clean-am distclean-generic distclean-tags
635
636 dvi: dvi-recursive
637
638 dvi-am:
639
640 html: html-recursive
641
642 html-am:
643
644 info: info-recursive
645
646 info-am:
647
648 install-data-am:
649
650 install-dvi: install-dvi-recursive
651
652 install-dvi-am:
653
654 install-exec-am:
655
656 install-html: install-html-recursive
657
658 install-html-am:
659
660 install-info: install-info-recursive
661
662 install-info-am:
663
664 install-man:
665
666 install-pdf: install-pdf-recursive
667
668 install-pdf-am:
669
670 install-ps: install-ps-recursive
671
672 install-ps-am:
673
674 installcheck-am:
675
676 maintainer-clean: maintainer-clean-recursive
677 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
678 -rm -rf $(top_srcdir)/autom4te.cache
679 -rm -f Makefile
680 maintainer-clean-am: distclean-am maintainer-clean-generic
681
682 mostlyclean: mostlyclean-recursive
683
684 mostlyclean-am: mostlyclean-generic
685
686 pdf: pdf-recursive
687
688 pdf-am:
689
690 ps: ps-recursive
691
692 ps-am:
693
694 uninstall-am:
695
696 .MAKE: $(am__recursive_targets) install-am install-strip
697
698 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
699 am--refresh check check-am clean clean-cscope clean-generic \
700 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
701 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
702 distcheck distclean distclean-generic distclean-tags \
703 distcleancheck distdir distuninstallcheck dvi dvi-am html \
704 html-am info info-am install install-am install-data \
705 install-data-am install-dvi install-dvi-am install-exec \
706 install-exec-am install-html install-html-am install-info \
707 install-info-am install-man install-pdf install-pdf-am \
708 install-ps install-ps-am install-strip installcheck \
709 installcheck-am installdirs installdirs-am maintainer-clean \
710 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
711 pdf-am ps ps-am tags tags-am uninstall uninstall-am
712
713
714 # Tell versions [3.59,3.63) of GNU make to not export all variables.
715 # Otherwise a system limit (for SysV at least) may be exceeded.
716 .NOEXPORT:

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26